/*
 * Copyright (C) 2022 The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package com.android.networkstack.apishim.api30;

import android.net.Ikev2VpnProfile;

/**
 * Implementation of Ikev2VpnProfileShim for API 30.
 */
// TODO : when API29 is no longer supported, remove the type argument
public class Ikev2VpnProfileShimImpl extends
        com.android.networkstack.apishim.api29.Ikev2VpnProfileShimImpl<Ikev2VpnProfile> {
    protected Ikev2VpnProfile mProfile;

    public Ikev2VpnProfileShimImpl(Ikev2VpnProfile profile) {
        mProfile = profile;
    }

    public Ikev2VpnProfile getProfile() {
        return mProfile;
    }
}
